Subject: bug#21975: 25.0.50; `window-size-change-functions' no longer called when manually resizing a frame

From: Anders Lindgren <[email-masked]>
Date: Sun, 22 Nov 2015 15:46:28 +0100

Hi!

I can confirm that this works. I tested both the simple example I posted in
the original bug report and also with follow mode.

Thanks!

    -- Anders

On Sun, Nov 22, 2015 at 11:45 AM, martin rudalics <[email-masked]> wrote:

> > The hook `window-size-change-functions' is not executed when a frame is
> > manually resized.
> >
> > In Emacs 23 it was called, but in Emacs 24 and Emacs 25 it isn't.
> >
> > For example, this break the package Follow mode, its windows are not
> > aligned after the frame has been resized.
>
> If no one objects I intend to install the attached patch on Emacs-25.
> Anders please confirm that it fixes the problem.
>
> Thanks, martin
>